petsc-3.4.2 2013-07-02

# PetscMatlabEngineCreate

Creates a MATLAB engine object

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineCreate(MPI_Comm comm,const char machine[],PetscMatlabEngine *mengine)

Not Collective

### Input Parameters

| comm | - a separate MATLAB engine is started for each process in the communicator
| machine | - name of machine where MATLAB engine is to be run (usually NULL)

### Output Parameter

mengine -the resulting object

### Options Database

-matlab_engine_graphics -allow the MATLAB engine to display graphics

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGetArray(), PetscMatlabEngine

Level:advanced
Location:src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages